#Software used: Spyder (Python 3.6)

import numpy as np
import mkt
import os
import pandas as pd

# set working directory
pwd = os.getcwd()
os.chdir(pwd)


data = np.loadtxt('SF.txt', skiprows = 1, usecols = (0,1))

results = MK, m, c, p, Z = mkt.test(data[:,0], data[:,1], eps=1E-3, alpha=0.05, Ha="upordown")

resul= list(results)

res=pd.DataFrame(resul)

res['variable']=['test','m','c','p','Z']

res.to_excel('SF_LEC_MK.xlsx', sheet_name='Z_Value')


'print' MK, m, c, p, Z
